# $Revision: 1.13 $, $Date: 2003/11/30 22:31:59 $
%include	/usr/lib/rpm/macros.perl
Summary:	Cover generator
Summary(pl):	Generator okadek
Name:		disc-cover
Version:	1.5.4
Release:	1
License:	GPL
Group:		Applications
Source0:	http://www.cwi.nl/~jvhemert/files/%{name}-%{version}.tar.gz
# Source0-md5:	a7614dfaadf960f349c970ab8a3bed43
URL:		http://homepages.cwi.nl/~jvhemert/disc-cover.html
Requires:	tetex-dvips
Requires:	tetex-format-latex
Requires:	ImageMagick
Requires:	perl-Audio-CD
BuildRequires:	perl >= 5.6
BuildRequires:	perl-modules
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
disc-cover provides an easy way to produce covers for audio cds. It
scans audio cds and uses information from the freedb database to build
a back and front cover for the cd. The cover is output is in Latex,
Dvi, Pdf or Postscript. This little gadget lets you produce covers
without typing in all the information yourself.

%description -l pl
disc-cover udostpnia atwy sposb produkcji okadek na pyty z
muzyk. Skanuje pyt i uywa informacji z bazy danych freedb, by
zoy przedni i tyln okadk. Formaty wyjciowe to latex, dvi, pdf,
postscript. Dziki temu maemu gadetowi moesz robi okadki nie
wpisujc adnych informacji.

%prep
%setup -q

%build
./disc-cover -H > README

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}/templates}

install disc-cover $RPM_BUILD_ROOT%{_bindir}
install templates/* $RPM_BUILD_ROOT%{_datadir}/%{name}/templates

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG TODO README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: disc-cover.spec,v $
Revision 1.13  2003/11/30 22:31:59  mwinkler
- change s/BR/R/ perl-Audio-CD

Revision 1.12  2003/11/30 17:43:25  adamg
- updated to 1.5.4
- removed obsolete -typo patch

Revision 1.11  2003/11/09 18:17:21  wolf
- fixed typo

Revision 1.10  2003/11/09 18:02:08  wolf
- 1.5.3

Revision 1.9  2003/06/01 17:05:14  wolf
- BR tetex-format-latex

Revision 1.8  2003/05/31 23:34:06  adamg
- updated to 1.5.2

Revision 1.7  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:46:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/03/25 16:58:02  wolf
- templates are required
- rel 2

Revision 1.4  2003/03/17 22:53:59  wolf
- 1.5.0

Revision 1.3  2002/12/08 17:14:19  wolf
- add some documentation

Revision 1.2  2002/12/08 17:06:56  wolf
- 1.4.0

Revision 1.1  2002/07/23 15:27:45  wolf
- initial, STBR
- %%doc %%lang don't work?

